#ifndef WINDOW_H
#define WINDOW_H

#include <QWidget>
#include <QButtonGroup>
#include <QRadioButton>
#include <QPushButton>
#include <QGroupBox>

class QSlider;
class GLWidget;

class Window : public QWidget
{
    Q_OBJECT

public:
    Window();

private:
 	QGroupBox *createGroupBox();

    GLWidget		*m_glWidget;
	QRadioButton	*m_singleCubeView;
	QRadioButton	*m_polygonView;
	QPushButton		*m_regenPolygon;
};

#endif
